/*
Copyright (c) 2015 Red Hat, Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

package org.ovirt.engine.sdk4.internal.xml;

import java.util.ArrayList;
import java.util.List;
import java.util.NoSuchElementException;
import org.ovirt.api.metamodel.runtime.xml.XmlReader;
import org.ovirt.engine.sdk4.types.MigrationBandwidthAssignmentMethod;

public class XmlMigrationBandwidthAssignmentMethodReader {
    
    public static MigrationBandwidthAssignmentMethod readOne(XmlReader reader) {
        // Do nothing if there aren't more tags:
        if (!reader.forward()) {
            return null;
        }
        
        // Process the value of enum:
        return MigrationBandwidthAssignmentMethod.fromValue(reader.readString());
    }
    
    public static List<MigrationBandwidthAssignmentMethod> readMany(XmlReader reader) {
        List<MigrationBandwidthAssignmentMethod> list = new ArrayList<>();
        if (!reader.forward()) {
            return list;
        }
        reader.next();
        while (reader.forward()) {
            String v = reader.readString();
            MigrationBandwidthAssignmentMethod next = MigrationBandwidthAssignmentMethod.fromValue(v);
            if (next == null) {
                break;
            }
            list.add(next);
        }
        reader.next();
        return list;
    }
    
}

